"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RedisHeplper_1 = require("./RedisHeplper");
const RedisClient_1 = require("../system/RedisClient");
const CheckingHelper_1 = require("./CheckingHelper");
const DateHelper_1 = require("./DateHelper");
class AuthenHelper {
    static async saveToRedis(data) {
        let redisHelper = new RedisHeplper_1.default(RedisClient_1.default.redisClient);
        let rs = await redisHelper.createKey(data);
        return rs;
    }
    static async getUserFormRedis(token) {
        let redisHelper = new RedisHeplper_1.default(RedisClient_1.default.redisClient);
        let rs = await redisHelper.getKey(token);
        return rs;
    }
    static async removeRedisByKey(key) {
        let redisHelper = new RedisHeplper_1.default(RedisClient_1.default.redisClient);
        let rs = await redisHelper.deleteKey(key);
        return rs;
    }
    static async checkAuthentication(action, parToken) {
        try {
            let token = parToken;
            if (!token) {
                token = action.request.headers['authorization'];
            }
            if (!token)
                return false;
            let user = await AuthenHelper.getUserFormRedis(token);
            if (user)
                return true;
            return false;
        }
        catch (error) {
            return false;
        }
    }
    static async getUser(action, parToken) {
        let token = parToken;
        if (!token) {
            token = action.request.headers['authorization'];
        }
        if (!token)
            return false;
        let user = await AuthenHelper.getUserFormRedis(token);
        if (user) {
            Object.keys(user).forEach(item => {
                if (CheckingHelper_1.default.isStringJson(user[item])) {
                    user[item] = JSON.parse(user[item]);
                }
            });
            return user;
        }
        return null;
    }
    static async refreshTokenRedis(key, timeout, expireddDate, newExpiredDate, field) {
        const remainTime = DateHelper_1.default.getTimeBetweenDate(expireddDate);
        if (isNaN(remainTime) || remainTime >= 0) {
            let redisHelper = new RedisHeplper_1.default(RedisClient_1.default.redisClient);
            let res = await redisHelper.setExpired(key, timeout);
            if (newExpiredDate)
                await redisHelper.updateHash(key, field || 'expiredDate', newExpiredDate);
            return res;
        }
    }
}
exports.default = AuthenHelper;
//# sourceMappingURL=AuthenHelper.js.map