"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const fsextra = require("fs-extra");
const path = require("path");
class LogHelper {
    static writeLog(rootPath, message) {
        let folder = 'logs/';
        const currentDate = new Date();
        let fileName = currentDate.getDay() + '-' + (currentDate.getMonth() + 1) + '-' + currentDate.getFullYear() + '-system-log.txt';
        let basePath = folder + fileName;
        if (rootPath) {
            basePath = path.join(rootPath, basePath);
        }
        fsextra.ensureDirSync(folder);
        fs.appendFile(basePath, (new Date()).toLocaleString() + ' : ' + message + '\n', 'utf8', err => err && console.log('\x1b[31m', err, '\x1b[0m'));
    }
}
Object.seal(LogHelper);
exports.default = LogHelper;
//# sourceMappingURL=LogHelper.js.map