"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const redis = require("redis");
const Bluebird = require("bluebird");
Bluebird.promisifyAll(redis.RedisClient.prototype);
Bluebird.promisifyAll(redis.Multi.prototype);
let client;
class RedisClient {
    static connect(config) {
        return new Promise((resolve) => {
            client = redis.createClient({
                host: config.HOST,
                port: config.PORT,
                password: config.PASSWORD
            });
            client.on('error', function error(err) {
                console.log('Redis error ===> ', err);
                resolve({ error: err, client });
            });
            client.on('reconnecting', function reconnecting() {
                console.log('Connection reestablished');
                resolve({ client });
            });
            client.on('connect', function connect(data) {
                console.log('Redis connecting on the host ===>: ' +
                    config.HOST +
                    ':' +
                    config.PORT);
                resolve({ client });
            });
        });
    }
    static get redisClient() {
        if (!client) {
            console.log('\x1b[31m', 'Redis not ready connected! Please check again', '\x1b[0m');
            return undefined;
        }
        return client;
    }
}
exports.default = RedisClient;
//# sourceMappingURL=RedisClient.js.map